Register Javascript extensions for V8Js

- « V8Js::getPendingException

- V8JsException »

- PHP Manual
- V8Js
- Register Javascript extensions for V8Js

# V8Js::registerExtension

(PECL v8js >= 0.1.0)

V8Js::registerExtension — Register Javascript extensions for V8Js

### Description

public static V8Js::registerExtension(
string `$extension_name`,
string `$script`,
array `$dependencies` = array(),
bool `$auto_enable` = `false`
): bool

Registers passed Javascript `script` as extension to be used in V8Js contexts.

### Parameters

`extension_name`

  Name of the extension to be registered.

`script`

  The Javascript code to be registered.

`dependencies`

  Array of extension names the extension to be registered depends on. Any such extension is enabled automatically when this extension is loaded.

  > Note:

  > All extensions, including the dependencies, must be registered before any V8Js are created which use them.

`auto_enable`

  If set to `true`, the extension will be enabled automatically in all V8Js contexts.

### Return Values

Returns `true` if extension was registered successfully, `false` otherwise.